/**
 * @name NsLink.tsx
 * @description Exports one components - NsLink
 */

import React, {
    PropsWithChildren,
    ReactElement,
} from 'react';

import {
    StyledLink
} from './NsLink.styled';
import { NsLinkProps } from './types.d';

const NsLink = (props: PropsWithChildren<NsLinkProps>): ReactElement => {
    const {
        className,
        href,
        underlineOnHover,
        target,
        additionalProps,
        children,
        disabled,
    } = props;

    return (
        <StyledLink
            className={className}
            href={href}
            disabled={disabled}
            $underlineOnHover={underlineOnHover}
            target={target}
            {...additionalProps}
        >
            {children}
        </StyledLink>
    );
};

export default NsLink;
